# Welcome to the Reality Stack!

[<img src="./Documentation/realitystack-logo.png" width="140px" alt="Logo of the Reality Stack">](https://gitlab2.informatik.uni-wuerzburg.de/hci-development/realitystack/realitystack-info)

The Reality Stack is an open-source XR framework developed by the HCI and PIIS Group Würzburg to simplify and unify XR application development and research. Our goal is to streamline the development process across different XR platforms and devices, enabling easier access to immersive technology and fostering innovation. The Reality Stack provides a cohesive set of tools, components, and resources that developers can integrate seamlessly into their projects.

We try to license repositories within the Reality Stack under the MIT License, allowing for free use, modification, and distribution. We welcome contributions and encourage the XR community to join us in building a robust, flexible ecosystem for XR applications.

# Contact

If you have any questions, feel free to contact us at [realitystack@uni-wuerzburg.de](mailto:realitystack@uni-wuerzburg.de).

University of Wuerzburg<br>
Chair for Human-Computer Interaction<br>
Prof. Dr. Marc Erich Latoschik<br>
[https://hci.uni-wuerzburg.de/](https://hci.uni-wuerzburg.de/)

[<img src="./Documentation/hci-logo.png" width="140px" alt="Logo of the HCI Group Wuerzburg">](https://hci.uni-wuerzburg.de/)

University of Wuerzburg<br>
Group of Psychologie Intelligenter Interaktiver Systeme<br>
Prof. Dr. Carolin Wienrich<br>
[https://www.mcm.uni-wuerzburg.de/piis/](https://www.mcm.uni-wuerzburg.de/piis/)

[<img src="./Documentation/piis-logo.png" width="140px" alt="Logo of the PIIS Group Wuerzburg">](https://www.mcm.uni-wuerzburg.de/piis/)

# Repositories

We provide several reference implementations on our GitLab server in the [RealityStack Group](https://gitlab2.informatik.uni-wuerzburg.de/hci-development/realitystack).

# Scientific Reference

Reality Stack will be continually expanded and scientifically evaluated. If you use Reality Stack components, please cite them accordingly. If you are interested in more of our research and projects, please visit our [website](https://hci.uni-wuerzburg.de/).

**Reality Stack I/O**

```latex
@INPROCEEDINGS{10322199,
  author={Kern, Florian and Latoschik, Marc Erich},
  booktitle={2023 IEEE International Symposium on Mixed and Augmented Reality Adjunct (ISMAR-Adjunct)}, 
  title={Reality Stack I/O: A Versatile and Modular Framework for Simplifying and Unifying XR Applications and Research}, 
  year={2023},
  pages={74-76},
  doi={10.1109/ISMAR-Adjunct60411.2023.00023}
}
```

**Reality Stack Character Processors**

```latex
@inproceedings{10.1145/3641825.3689533,
  author = {Merz, Christian and Tschanter, Jonathan and Kern, Florian and Lugrin, Jean-Luc and Wienrich, Carolin and Latoschik, Marc Erich},
  title = {Pipelining Processors for Decomposing Character Animation},
  year = {2024},
  isbn = {9798400705359},
  publisher = {Association for Computing Machinery},
  address = {New York, NY, USA},
  url = {https://doi.org/10.1145/3641825.3689533},
  doi = {10.1145/3641825.3689533},
  booktitle = {Proceedings of the 30th ACM Symposium on Virtual Reality Software and Technology},
  articleno = {62},
  numpages = {2},
  location = {Trier, Germany},
  series = {VRST '24}
}
```

**Reality Stack Off-the-Shelf Stylus (OTSS) Framework**

```latex
@article{10.3389/frvir.2021.684498,
  author = {Kern, Florian and Kullmann, Peter and Ganal, Elisabeth and Korwisi, Kristof and Stingl, René and Niebling, Florian and Latoschik, Marc Erich},
  title = {Off-The-Shelf Stylus: Using XR Devices for Handwriting and Sketching on Physically Aligned Virtual Surfaces},
  journal = {Frontiers in Virtual Reality},
  volume = {2},
  year = {2021},
  url = {https://www.frontiersin.org/articles/10.3389/frvir.2021.684498},
  doi = {10.3389/frvir.2021.684498}
}
```

**Reality Stack Surface Alignment and Refinement Techniques**

```latex
@INPROCEEDINGS{10108564,
  author={Kern, Florian and Tschanter, Jonathan and Latoschik, Marc Erich},
  booktitle={2023 IEEE Conference on Virtual Reality and 3D User Interfaces Abstracts and Workshops (VRW)}, 
  title={Virtual-to-Physical Surface Alignment and Refinement Techniques for Handwriting, Sketching, and Selection in XR}, 
  year={2023},
  volume={},
  number={},
  pages={502-506},
  doi={10.1109/VRW58643.2023.00109}
  }
```

